// *****************************************************************************
// Archivo: ControlDeAsistencia.h
// Descripcin: Clase ControlDeAsistencia (header)
// Autor: Ezequiel Gastn Miravalles
// ltima modificacin: 22/05/2009
// Website: http://www.neoegm.com/
// *****************************************************************************

/*******************************************************************************
	Copyright (C) 2009 Ezequiel Gastn Miravalles

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/

#include "Persona.h"

class ControlDeAsistencia
{
	Lista<Persona> m_lPersonas;

public:
	ControlDeAsistencia();

	Persona *PersonaPorDNI(long nDNI);

	bool AgregarPersona(Persona& rpPersona) { return m_lPersonas.Agregar(rpPersona) != -1; }

	int CantidadDePersonas() { return m_lPersonas.Cantidad(); }
	Persona *PersonaItem(int nPos) { return m_lPersonas.Elem(nPos); }

	Lista<Persona>& ListaPersonas() { return m_lPersonas; }
};
