// *****************************************************************************
// Archivo: PersonaBsica.cpp
// Descripcin: Clase PersonaBasica (cdigo)
// Autor: Ezequiel Gastn Miravalles
// ltima modificacin: 22/05/2009
// Website: http://www.neoegm.com/
// *****************************************************************************

/*******************************************************************************
	Copyright (C) 2009 Ezequiel Gastn Miravalles

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/

#include "PersonaBasica.h"

std::ostream& operator<<(std::ostream& oStream, PersonaBasica pPersonaBasica)
{
	oStream << "DNI: " << pPersonaBasica.DNI() << std::endl;
	oStream << "Nombre completo: " << pPersonaBasica.NombreCompleto() << std::endl;

	return oStream;
}
